可用訂單狀態
取得商店中可用的狀態。每個狀態都有名稱和 ID,可用於篩選訂單或變更訂單狀態。
GET
/api/v1/order-statusescURL 請求
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url 'https://shop.onshopently.com/api/v1/order-statuses?limit=20' \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
回應
{
"data": [
{
"created_at": "2026-01-01T12:00:00Z",
"id": "status-0",
"is_initial": true,
"name": "New",
"position": 0
},
{
"created_at": "2026-01-01T12:00:00Z",
"id": "status-1",
"is_initial": false,
"name": "Processing",
"position": 1
}
],
"meta": {
"pagination": {
"has_more": false,
"limit": 20,
"next_cursor": null
},
"request_id": "example"
}
}